MCP Tools Reference: agentregistry.googleapis.com

Tool: get_agent

Retrieve the full metadata and configuration details of a specific agent using its unique resource name. Use this when you already know the agent's ID and need to inspect its capabilities, protocols, or endpoints.

The following sample demonstrate how to use curl to invoke the get_agent MCP tool.

Curl Request
                  
curl --location 'https://agentregistry.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "get_agent",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

Message for getting a Agent

GetAgentRequest

JSON representation
{
  "name": string
}
Fields
name

string

Required. Name of the resource

Output Schema

Represents an Agent. "A2A" below refers to the Agent-to-Agent protocol.

Agent

JSON representation
{
  "name": string,
  "agentId": string,
  "location": string,
  "displayName": string,
  "description": string,
  "version": string,
  "protocols": [
    {
      object (Protocol)
    }
  ],
  "skills": [
    {
      object (Skill)
    }
  ],
  "uid": string,
  "createTime": string,
  "updateTime": string,
  "attributes": {
    string: {
      object
    },
    ...
  },
  "card": {
    object (Card)
  }
}
Fields
name

string

Identifier. The resource name of an Agent. Format: projects/{project}/locations/{location}/agents/{agent}.

agentId

string

Output only. A stable, globally unique identifier for agents.

location

string

Output only. The location where agent is hosted. The value is defined by the hosting environment (i.e. cloud provider).

displayName

string

Output only. The display name of the agent, often obtained from the A2A Agent Card.

description

string

Output only. The description of the Agent, often obtained from the A2A Agent Card. Empty if Agent Card has no description.

version

string

Output only. The version of the Agent, often obtained from the A2A Agent Card. Empty if Agent Card has no version or agent is not an A2A Agent.

protocols[]

object (Protocol)

Output only. The connection details for the Agent.

skills[]

object (Skill)

Output only. Skills the agent possesses, often obtained from the A2A Agent Card.

uid

string

Output only. A universally unique identifier for the Agent.

createTime

string (Timestamp format)

Output only. Create time.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

updateTime

string (Timestamp format)

Output only. Update time.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

attributes

map (key: string, value: object (Struct format))

Output only. Attributes of the Agent. Valid values:

  • agentregistry.googleapis.com/system/Framework: {"framework": "google-adk"} - the agent framework used to develop the Agent. Example values: "google-adk", "langchain", "custom".
  • agentregistry.googleapis.com/system/RuntimeIdentity: {"principal": "principal://..."} - the runtime identity associated with the Agent.
  • agentregistry.googleapis.com/system/RuntimeReference: {"uri": "//..."}
  • the URI of the underlying resource hosting the Agent, for example, the Reasoning Engine URI.

An object containing a list of "key": value pairs. Example: { "name": "wrench", "mass": "1.3kg", "count": "3" }.

card

object (Card)

Output only. Full Agent Card payload, when available.

Protocol

JSON representation
{
  "type": enum (Type),
  "protocolVersion": string,
  "interfaces": [
    {
      object (Interface)
    }
  ]
}
Fields
type

enum (Type)

Output only. The type of the protocol.

protocolVersion

string

Output only. The version of the protocol, for example, the A2A Agent Card version.

interfaces[]

object (Interface)

Output only. The connection details for the Agent.

Interface

JSON representation
{
  "url": string,
  "protocolBinding": enum (ProtocolBinding)
}
Fields
url

string

Required. The destination URL.

protocolBinding

enum (ProtocolBinding)

Required. The protocol binding of the interface.

Skill

JSON representation
{
  "id": string,
  "name": string,
  "description": string,
  "tags": [
    string
  ],
  "examples": [
    string
  ]
}
Fields
id

string

Output only. A unique identifier for the agent's skill.

name

string

Output only. A human-readable name for the agent's skill.

description

string

Output only. A more detailed description of the skill.

tags[]

string

Output only. Keywords describing the skill.

examples[]

string

Output only. Example prompts or scenarios this skill can handle.

Timestamp

JSON representation
{
  "seconds": string,
  "nanos": integer
}
Fields
seconds

string (int64 format)

Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z).

nanos

integer

Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive.

AttributesEntry

JSON representation
{
  "key": string,
  "value": {
    object
  }
}
Fields
key

string

value

object (Struct format)

Struct

JSON representation
{
  "fields": {
    string: value,
    ...
  }
}
Fields
fields

map (key: string, value: value (Value format))

Unordered map of dynamically typed values.

An object containing a list of "key": value pairs. Example: { "name": "wrench", "mass": "1.3kg", "count": "3" }.

FieldsEntry

JSON representation
{
  "key": string,
  "value": value
}
Fields
key

string

value

value (Value format)

Value

JSON representation
{

  // Union field kind can be only one of the following:
  "nullValue": null,
  "numberValue": number,
  "stringValue": string,
  "boolValue": boolean,
  "structValue": {
    object
  },
  "listValue": array
  // End of list of possible types for union field kind.
}
Fields
Union field kind. The kind of value. kind can be only one of the following:
nullValue

null

Represents a JSON null.

numberValue

number

Represents a JSON number. Must not be NaN, Infinity or -Infinity, since those are not supported in JSON. This also cannot represent large Int64 values, since JSON format generally does not support them in its number type.

stringValue

string

Represents a JSON string.

boolValue

boolean

Represents a JSON boolean (true or false literal in JSON).

structValue

object (Struct format)

Represents a JSON object.

listValue

array (ListValue format)

Represents a JSON array.

ListValue

JSON representation
{
  "values": [
    value
  ]
}
Fields
values[]

value (Value format)

Repeated field of dynamically typed values.

Card

JSON representation
{
  "type": enum (Type),
  "content": {
    object
  }
}
Fields
type

enum (Type)

Output only. The type of agent card.

content

object (Struct format)

Output only. The content of the agent card.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌